### Function

# Gck list_ref_copy

since: 1

#### Declaration [src]

    GList*
    gck_list_ref_copy (
      GList* reflist
    )

#### Description [src]

Copy a list of GObject based pointers. All objects in the list will be reffed and the list will be copied.

Available since: 1

This function is not directly available to language bindings.

#### Parameters

`reflist`

  Type: A list of `GObject*`

  List of GObject reference counted objects.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `GObject*`

The copied and reffed list, when done, free it with gck_list_unref_free ()

The caller of the function takes ownership of the data, and is responsible for freeing it.